Bug 70979 - Overflow on flexitems doesn't work
: Overflow on flexitems doesn't work
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Tony Chang
:
Depends on:
Blocks: 62048
  Show dependency treegraph
 
Reported: 2011-10-26 16:27 PDT by Ojan Vafai
Modified: 2012-01-12 10:51 PST (History)
2 users (show)

See Also:


Attachments
testcase (289 bytes, text/html)
2011-10-26 16:27 PDT, Ojan Vafai
no flags Details
Patch (4.49 KB, patch)
2012-01-11 17:07 PST, Tony Chang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ojan Vafai 2011-10-26 16:27:19 PDT
Created attachment 112614 [details]
testcase

Specifically, it doesn't scroll.
Comment 1 Tony Chang 2012-01-11 14:29:00 PST
This seems to work for me now.  I bet adding the layout in the stretch case fixed it.  I'll add some tests for it.
Comment 2 Tony Chang 2012-01-11 17:07:38 PST
Created attachment 122133 [details]
Patch
Comment 3 WebKit Review Bot 2012-01-11 19:55:52 PST
Comment on attachment 122133 [details]
Patch

Clearing flags on attachment: 122133

Committed r104785: <http://trac.webkit.org/changeset/104785>
Comment 4 WebKit Review Bot 2012-01-11 19:55:56 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Tony Chang 2012-01-12 09:51:56 PST
Hmm, turns out that we get the wrong behavior when we're not using flex-item-align: stretch.  I'll debug some more.
Comment 6 Tony Chang 2012-01-12 10:51:28 PST
(In reply to comment #5)
> Hmm, turns out that we get the wrong behavior when we're not using flex-item-align: stretch.  I'll debug some more.

Nevermind, it's working properly.  The cross direction was auto on the div that have 'overflow: auto' so there was no overflow in the cross direction (in the case of stretch, we would shrink to match the flexbox size and scrollbars would appear).